org.apache.sysds.runtime.transform.decode

## Class DecoderFactory

- java.lang.Object
- - org.apache.sysds.runtime.transform.decode.DecoderFactory

-     public class DecoderFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecoderFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Decoder` | `createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
    `static Decoder` | `createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen)`
    `static Decoder` | `createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
    `static Decoder` | `createDecoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int clen, int minCol, int maxCol)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecoderFactory

          public DecoderFactory()

  - ### Method Detail

    - #### createDecoder

          public static Decoder createDecoder(String spec,
                                              String[] colnames,
                                              Types.ValueType[] schema,
                                              FrameBlock meta)

    - #### createDecoder

          public static Decoder createDecoder(String spec,
                                              String[] colnames,
                                              Types.ValueType[] schema,
                                              FrameBlock meta,
                                              int clen)

    - #### createDecoder

          public static Decoder createDecoder(String spec,
                                              String[] colnames,
                                              Types.ValueType[] schema,
                                              FrameBlock meta,
                                              int minCol,
                                              int maxCol)

    - #### createDecoder

          public static Decoder createDecoder(String spec,
                                              String[] colnames,
                                              Types.ValueType[] schema,
                                              FrameBlock meta,
                                              int clen,
                                              int minCol,
                                              int maxCol)

Copyright © 2020 The Apache Software Foundation. All rights reserved.